> ## Documentation Index
> Fetch the complete documentation index at: https://www.c1.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Revoke

> Revoke deactivates a model API key, preventing further use.



## OpenAPI

````yaml https://spec.speakeasy.com/conductor-one/conductorone/my-source-with-code-samples delete /api/v1/iam/model_api_keys/{id}
openapi: 3.1.0
info:
  description: The C1 API is a HTTP API for managing C1 resources.
  title: C1 API
  version: 0.1.0-alpha
servers:
  - description: The C1 API server for the current tenant.
    url: https://{tenantDomain}.conductor.one
    variables:
      tenantDomain:
        default: example
        description: The domain of the tenant to use for this request.
security:
  - bearerAuth: []
    oauth: []
paths:
  /api/v1/iam/model_api_keys/{id}:
    delete:
      tags:
        - Model API Key
      summary: Revoke
      description: Revoke deactivates a model API key, preventing further use.
      operationId: c1.api.iam.v1.ModelAPIKeyService.Revoke
      parameters:
        - in: path
          name: id
          required: true
          schema:
            description: >-
              The unique ID of the model API key to revoke (27-character base62
              identifier).
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/c1.api.iam.v1.ModelAPIKeyServiceRevokeRequestInput
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/c1.api.iam.v1.ModelAPIKeyServiceRevokeResponse
          description: Successful response
components:
  schemas:
    c1.api.iam.v1.ModelAPIKeyServiceRevokeRequestInput:
      description: The ModelAPIKeyServiceRevokeRequest message.
      title: Model Api Key Service Revoke Request
      type: object
      x-speakeasy-name-override: ModelAPIKeyServiceRevokeRequest
    c1.api.iam.v1.ModelAPIKeyServiceRevokeResponse:
      description: The ModelAPIKeyServiceRevokeResponse message.
      title: Model Api Key Service Revoke Response
      type: object
      x-speakeasy-name-override: ModelAPIKeyServiceRevokeResponse
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http
    oauth:
      description: >-
        This API uses OAuth2 with the Client Credential flow.

        Client Credentials must be sent in the BODY, not the headers.

        For an example of how to implement this, refer to the
        [c1TokenSource.Token()](https://github.com/ConductorOne/conductorone-sdk-go/blob/3375fe7c0126d17e7ec4e711693dee7b791023aa/token_source.go#L101-L187)
        function.
      flows:
        clientCredentials:
          scopes: {}
          tokenUrl: /auth/v1/token
      type: oauth2

````